2019-08-26 08:58 AEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000396mercuryBugpublic2015-10-20 18:00
Reporterwangp 
Assigned Towangp 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000396: non tail recursion in prog_io.m
Descriptionread_items_loop calls read_items_loop_2 which calls read_items_loop

In high-level C grades this can overflow the C stack when reading a module with a large number of items.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000855

wangp (developer)

This particular problem was already fixed on the master branch when I submitted the report. There were some other similar problems, which have now been fixed.
+Notes

-Issue History
Date Modified Username Field Change
2015-10-12 15:44 wangp New Issue
2015-10-12 16:08 wangp Assigned To => wangp
2015-10-12 16:08 wangp Status new => assigned
2015-10-20 18:00 wangp Note Added: 0000855
2015-10-20 18:00 wangp Status assigned => resolved
2015-10-20 18:00 wangp Resolution open => fixed
+Issue History